
PT.OKAYA INDONESIA - Parent project #569

[PJ230057]HANDY TERMINAL 1 set PT PANASONIC GOBEL ENERGY INDONESIA

04 May 2024 16:02 - Ryo Nozaki

Status: Closed Start date: 19 Nov 2023

Priority: Normal Due date: 30 Nov 2023

Assignee: Ryo Nozaki Spent time: 3.00 hours

Description

Subtasks:

Project progress work # 245: Make quote and delivery for HANDY TERMINAL 1 set PT PANASO... Closed

History

#1 - 04 May 2024 17:10 - Ryo Nozaki

- Project changed from PANASONIC AUTOMOTIVE SYSTEMS ASIA PACIFIC CO.,LTD.  to PT.OKAYA INDONESIA

#2 - 06 Nov 2025 08:46 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed
